PGASetBinaryAllele(1)

NAME
PGASetBinaryAllele - sets a binary allele to the specified value.

INPUT PARAMETERS
ctx - context variable
p   - string index
pop - symbolic constant of the population the string is in
i   - allele index
val - binary value (either 1 or 0) to set the allele to

OUTPUT PARAMETERS
side
    -effect.

SYNOPSIS
#include "pgapack.h"
void  PGASetBinaryAllele(ctx, p, pop, i, val)
PGAContext *ctx
int p
int pop
int i
int val

LOCATION
binary.c

EXAMPLE
Copies the alleles from member p in PGA_OLDPOP to member q PGA_NEWPOP.
Assumes strings are of the same length.

PGAContext *ctx;
int p, q, i;
:
for (i=PGAGetStringLength(ctx)-1; i>=0; i--)
PGASetBinaryAllele(ctx, q, PGA_NEWPOP, i,
PGAGetBinaryAllele(ctx, p, PGA_OLDPOP, i))